MijnPartnerGroep Domain API
Home
MijnPartnerGroep.nl
Ondersteunde Partners
Ondersteunde Partners
  • MijnHostingPartner.nl
  • MijnDomeinPartner.nl
  • MijnWordPressPartner.nl
  • WebHoster.nl
Home
MijnPartnerGroep.nl
Ondersteunde Partners
Ondersteunde Partners
  • MijnHostingPartner.nl
  • MijnDomeinPartner.nl
  • MijnWordPressPartner.nl
  • WebHoster.nl
  1. Authentication
  • Home
  • Authentication
  • Getting started
  • Error handling
  • Authentication
    • Authenticate to the API
      POST
  • Whois
    • Check WHOIS for a single domain
      GET
    • Check WHOIS for multiple domains
      POST
  • Domain
    • Register a single domain
      POST
    • Register multiple domains
      POST
  • DomainHolder
    • Create a new DomainHolder
      PUT
    • Get a DomainHolder by ID or email address
      POST
    • Delete a DomainHolder
      DELETE
    • Update an existing DomainHolder
      PATCH
  • DNS
    • ListDomain
      GET
    • GetRecords
      GET
    • AddRecord
      PUT
    • UpdateRecord
      PATCH
    • DeleteRecord
      POST
  • Schemas
    • Schemas
      • DomainHolderSearch
      • Record
      • Domain
      • Zones
      • DomainHolder
      • BulkRegisterRequest
    • Response
      • AuthenticationSuccess
      • AuthorizationFailed
      • BadRequest
      • PaymentRequired
      • Unauthorized
      • NotFound
      • MethodNotAllowed
      • UnprocessableEntity
      • InternalServerError
  1. Authentication

Authenticate to the API

POST
https://www.mijnhostingpartner.nl/v1/api/authenticate
Authenticate with your API credentials to receive an access token.
Request Body:
JSON object with username and password fields.
Response:
HTTP 200 – successful authentication with JSON containing an access token.
HTTP 401 – invalid credentials.
Use Case:
Obtain a token to authorize subsequent API calls.
Notes:
The returned token should be included in the Authorization header (Bearer <token>).

Request

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
🟠400Bad Request
🟠401Unauthorized
🟠422Unprocessable Entity
🟠404Not Found
🔴500Internal Server Error
🟠405Method Not Allowed
🟠403Forbidden
🟠402Payment Required
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://www.mijnhostingpartner.nl/v1/api/authenticate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{"client_id": "", "client_secret": ""}'
Response Response Example
200 - Example 1
{
    "status": "string",
    "expires_in": 0,
    "token": "string"
}
Modified at 2026-03-30 11:29:39
Previous
Error handling
Next
Check WHOIS for a single domain
Built with